Retrieve hub TOS and privacy policy documents
hubs-portal
Retrieve hub TOS and privacy policy documents
Return TOS and privacy_policy resources for the hub.
Reads hub.settings.policies to build a list of policy resources.
Returns an empty data array when policies are disabled or not configured.
Auth:
- Public hubs: no token required.
- Private hubs: requires valid contact JWT whose team_ids includes the hub’s team_id. Returns 404 for unauthenticated/non-member contacts (anti-enumeration — same as GET /api/hubs/).
Returns 404 when the hub does not exist or is inaccessible.
GET
Retrieve hub TOS and privacy policy documents
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
JSON:API list response for hub policies.
Returns an empty data array when policies are disabled or unconfigured.